#include <avr/pgmspace.h>
#define FONTDEFIDX 1                       		/* Index of first Font column data in font table */
#define FONTWIDTHIDX 0							/* Index of Font width value */
#define FONTHEIGHT 5                    	    /* Hhe des Zeichensatzes */
#define HFH 5									/* Heigh - Font Heigh */
#define ResetCol 0b00011111
#define FirstASCIICharacter	' '					/* Start of the local "ASCII TABLE" */


#define FONT_SIZE 64							/* Number of Fonts */
prog_uint8_t font[FONT_SIZE][6] =
{
   {  /*  ' '   */ 3, 0x00, 0x00, 0x00, 0x00, 0x00 },
   {  /*  '!'   */ 2, 0x17, 0x17, 0x00, 0x00, 0x00 },
   {  /*  '"'   */ 3, 0x03, 0x00, 0x03, 0x00, 0x00 },
   {  /*  '#'   */ 5, 0x0a, 0x1f, 0x0a, 0x1f, 0x0a },
   {  /*  '$'   */ 5, 0x02, 0x15, 0x1f, 0x15, 0x08 },
   {  /*  '%'   */ 5, 0x13, 0x0b, 0x04, 0x1a, 0x19 },
   {  /*  '&->8'*/ 3, 0x1f, 0x15, 0x1f, 0x00, 0x00 },
   {  /*  '''   */ 1, 0x03, 0x00, 0x00, 0x00, 0x00 },
   {  /*  '('   */ 2, 0x0e, 0x11, 0x11, 0x00, 0x00 },
   {  /*  ')'   */ 2, 0x11, 0x11, 0x0e, 0x00, 0x00 },   
   {  /*  '*'   */ 5, 0x04, 0x0e, 0x04, 0x0e, 0x04 },   
   {  /*  '+'   */ 3, 0x04, 0x0e, 0x04, 0x00, 0x00 },   
   {  /*  ','   */ 2, 0x14, 0x0c, 0x00, 0x00, 0x00 },   
   {  /*  '-'   */ 3, 0x04, 0x04, 0x04, 0x00, 0x00 },   
   {  /*  '.'   */ 2, 0x18, 0x18, 0x00, 0x00, 0x00 },
   {  /*  '/'   */ 5, 0x10, 0x08, 0x04, 0x02, 0x01 },
   {  /*  '0'   */ 3, 0x1f, 0x11, 0x1f, 0x00, 0x00 },
   {  /*  '1'   */ 3, 0x11, 0x1f, 0x10, 0x00, 0x00 },
   {  /*  '2'   */ 3, 0x1d, 0x15, 0x17, 0x00, 0x00 },
   {  /*  '3'   */ 3, 0x15, 0x15, 0x1f, 0x00, 0x00 },
   {  /*  '4'   */ 3, 0x07, 0x04, 0x1f, 0x00, 0x00 },
   {  /*  '5'   */ 3, 0x17, 0x15, 0x1d, 0x00, 0x00 },
   {  /*  '6'   */ 3, 0x1f, 0x15, 0x1d, 0x00, 0x00 },
   {  /*  '7'   */ 3, 0x01, 0x01, 0x1f, 0x00, 0x00 },
   {  /*  '8'   */ 3, 0x1f, 0x15, 0x1f, 0x00, 0x00 },
   {  /*  '9'   */ 3, 0x07, 0x05, 0x1f, 0x00, 0x00 },
   {  /*  ':'   */ 1, 0x0a, 0x00, 0x00, 0x00, 0x00 },
   {  /*  ';->: */ 1, 0x0a, 0x00, 0x00, 0x00, 0x00 },
   {  /*  '<'   */ 3, 0x04, 0x0a, 0x11, 0x00, 0x00 },
   {  /*  '='   */ 4, 0x0a, 0x0a, 0x0a, 0x0a, 0x0a },   
   {  /*  '>'   */ 3, 0x11, 0x0a, 0x04, 0x00, 0x00 },
   {  /*  '?'   */ 5, 0x02, 0x01, 0x01, 0x15, 0x02 },
   {  /*  '@'   */ 5, 0x0e, 0x11, 0x17, 0x17, 0x06 },
   {  /*  'A'   */ 3, 0x1e, 0x05, 0x1e, 0x00, 0x00 },
   {  /*  'B'   */ 3, 0x1f, 0x15, 0x0a, 0x00, 0x00 },
   {  /*  'C'   */ 3, 0x0e, 0x11, 0x11, 0x00, 0x00 },
   {  /*  'D'   */ 3, 0x1f, 0x11, 0x0e, 0x00, 0x00 },
   {  /*  'E'   */ 3, 0x1f, 0x15, 0x15, 0x00, 0x00 },
   {  /*  'F'   */ 3, 0x1f, 0x05, 0x05, 0x00, 0x00 },
   {  /*  'G'   */ 5, 0x0e, 0x11, 0x15, 0x1d, 0x04 },
   {  /*  'H'   */ 3, 0x1f, 0x04, 0x1f, 0x00, 0x00 },
   {  /*  'I'   */ 3, 0x11, 0x1f, 0x11, 0x00, 0x00 },
   {  /*  'J'   */ 3, 0x19, 0x10, 0x1e, 0x00, 0x00 },
   {  /*  'K'   */ 4, 0x1f, 0x04, 0x0a, 0x11, 0x00 },
   {  /*  'L'   */ 3, 0x1f, 0x10, 0x10, 0x00, 0x00 },
   {  /*  'M'   */ 5, 0x1f, 0x02, 0x04, 0x02, 0x1f },
   {  /*  'N'   */ 5, 0x1f, 0x02, 0x04, 0x08, 0x1f },
   {  /*  'O'   */ 3, 0x1f, 0x11, 0x1f, 0x00, 0x00 },
   {  /*  'P'   */ 3, 0x1f, 0x05, 0x07, 0x00, 0x00 },
   {  /*  'Q'   */ 5, 0x0e, 0x11, 0x15, 0x09, 0x16 },
   {  /*  'R'   */ 4, 0x1f, 0x05, 0x0d, 0x12, 0x00 },
   {  /*  'S'   */ 3, 0x12, 0x15, 0x09, 0x00, 0x00 },
   {  /*  'T'   */ 3, 0x01, 0x1f, 0x01, 0x00, 0x00 },
   {  /*  'U'   */ 3, 0x1f, 0x10, 0x1f, 0x00, 0x00 },
   {  /*  'V'   */ 5, 0x07, 0x08, 0x10, 0x08, 0x07 },
   {  /*  'W'   */ 5, 0x0f, 0x10, 0x0c, 0x10, 0x0f },
   {  /*  'X'   */ 5, 0x11, 0x0a, 0x04, 0x0a, 0x11 },
   {  /*  'Y'   */ 3, 0x07, 0x1c, 0x07, 0x00, 0x00 },
   {  /*  'Z'   */ 3, 0x19, 0x15, 0x13, 0x00, 0x00 },
   {  /*  '['   */ 3, 0x1f, 0x11, 0x11, 0x00, 0x00 },
   {  /*  '\'   */ 5, 0x01, 0x02, 0x04, 0x08, 0x10 },
   {  /*  ']'   */ 3, 0x11, 0x11, 0x1f, 0x00, 0x00 },
   {  /*  '^'   */ 5, 0x04, 0x02, 0x01, 0x02, 0x04 },
   {  /*  '_'   */ 4, 0x10, 0x10, 0x10, 0x10, 0x00 }
};
